; ====================================================;
;                                                     ;
;     glu32.inc for EC v2 SolAsm classic projects     ;
;                   (version 1.0.1)                   ;
;                                                     ;
;            Copyright  Ramon Sala - 2022            ;
;                                                     ;
; ====================================================;

#ifndef GLU32_INC
GLU32_INC equ 1

#if COFF_FORMAT == 1
    from_lib glu32.lib
#else
    from_dll glu32.dll
#endif

import gluBeginCurve
import gluBeginPolygon
import gluBeginSurface
import gluBeginTrim
import gluBuild1DMipmaps
import gluBuild2DMipmaps
import gluCylinder
import gluDeleteNurbsRenderer
import gluDeleteQuadric
import gluDeleteTess
import gluDisk
import gluEndCurve
import gluEndPolygon
import gluEndSurface
import gluEndTrim
import gluErrorString
import gluErrorUnicodeStringEXT
import gluGetNurbsProperty
import gluGetString
import gluGetTessProperty
import gluLoadSamplingMatrices
import gluLookAt
import gluNewNurbsRenderer
import gluNewQuadric
import gluNewTess
import gluNextContour
import gluNurbsCallback
import gluNurbsCurve
import gluNurbsProperty
import gluNurbsSurface
import gluOrtho2D
import gluPartialDisk
import gluPerspective
import gluPickMatrix
import gluProject
import gluPwlCurve
import gluQuadricCallback
import gluQuadricDrawStyle
import gluQuadricNormals
import gluQuadricOrientation
import gluQuadricTexture
import gluScaleImage
import gluSphere
import gluTessBeginContour
import gluTessBeginPolygon
import gluTessCallback
import gluTessEndContour
import gluTessEndPolygon
import gluTessNormal
import gluTessProperty
import gluTessVertex
import gluUnProject

#endif ;GLU32_INC
